#!/bin/bash
if [ -n "$(id |grep root)" ]; then
{
   if [ $# -eq 0 ]; then
   {
      echo "Sense arguments"
      echo "Heu d'introudir el codi del Servei Territorial"
      echo "Codis vàlids: SCE, BNS, BLL, CCE, LLE, MVO, TAR, TEB, VOC, APA, PEN"
      exit 0
   }
   fi
LOCAL=$1
SSAA="${LOCAL^^}"
SERVERS_LIST=/etc/linkat-impressio-corporativa/servers.list
case $SSAA in
   SCE)
      SERVEI="SCE"
   ;;
   BNS)
      SERVEI="BNS"
   ;;
   BLL)
      SERVEI="BLL"
   ;;
   CCE)
      SERVEI="CCE"
   ;;
   LLE)
      SERVEI="LLE"
   ;;
   MVO)
      SERVEI="MVO"
   ;;
   TAR)
      SERVEI="TAR"
   ;;
   TEB)
      SERVEI="TEB"
   ;;
   VOC)
      SERVEI="VOC"
   ;;
   APA)
      SERVEI="APA"
   ;;
   PEN)
      SERVEI="PEN"
   ;;
   *)
      echo "No heu introduït cap codi vàlid."
      exit 0
   ;;
esac
if [ -e $SERVERS_LIST ]; then
{
   DEVICE_URI=$(cat $SERVERS_LIST |grep -v "#"|grep $SERVEI| cut -d "," -f 2)
   if [ -n "$(systemctl status cups |grep active | grep running)" ]; then
      systemctl stop cups > /dev/null 2>&1

   fi
   if [ -e /etc/cups/printers.conf ]; then
      rm /etc/cups/printers.conf
   fi
   if [ -e /etc/cups/printers.conf.O ]; then
      rm /etc/cups/printers.conf.O
   fi
   sed -e "s|_TEMPLATE_|$DEVICE_URI|g" /usr/share/linkat/linkat-serveis-corporatius/template_printer.conf > /etc/cups/printers.conf
   chown root:lp /etc/cups/printers.conf
   chmod 600 /etc/cups/printers.conf
   echo $SERVEI > /etc/linkat-impressio-corporativa/config
   systemctl start cups
}
fi
}
fi
